import {
  get,
  post
} from '@/common/utils/http-util.ts'

export default {
  pageList(data: MenuTypes.SearchForm, {size, current, orders}: G.PageParam) {
    return get<G.PageResult<MenuTypes.SysMenu>>('/sys_menu/page_list', {
      size, current, orders,
      ...data
    })
  },
  paging(data: MenuTypes.SearchForm & G.PageParam) {
    return get<G.PageResult<MenuTypes.SysMenu>>('/sys_menu/page_list', data)
  },
  list(data?: MenuTypes.SearchForm | null) {
    return get<MenuTypes.SysMenu[]>('/sys_menu/list', data)
  },
  detail(id: string) {
    return get<MenuTypes.SysMenu>('/sys_menu/detail', {id})
  },
  add(data: MenuTypes.AddForm) {
    return post('/sys_menu/add', data)
  },
  modify(data: MenuTypes.ModifyForm) {
    return post('/sys_menu/modify', data)
  },
  del(ids: string[]) {
    return post('/sys_menu/del', ids)
  },
}
